Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
MouseWrtParser Class Referencefinal

the main class to read a MouseWrite file More...

`#include <MouseWrtParser.hxx>`

Inheritance diagram for MouseWrtParser:

## Public Member Functions
| MouseWrtParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor More...
| ~MouseWrtParser () final
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGTextInterface *documentInterface) final
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWTextParser
| ~MWAWTextParser () override
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | createZones ()
| finds the different objects zones More...
bool | readCharPLCs (long sz)
| reads the char plc zone: zone 0 More...
bool | readParagraphPLCs (long sz)
| reads the paragraph plc zone: zone 2 More...
bool | readPrintInfo ()
| reads the print info zone: zone 3 More...
bool | readDocumentInfo (long sz)
| reads the document info zone: zone 4 More...
bool | readFont (MWAWFont &font, int &cPos)
| try to read a font More...
void | newPage (int number)
| adds a new page More...
int | computeNumPages ()
| computes the number of page More...
bool | sendMainZone ()
| tries to send the main text zone More...
bool | sendZone (int number)
| tries to send the header/footer zone More...
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr const &state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
std::shared_ptr< MouseWrtParserInternal::State > | m_state
| the state More...

## Friends
class | MouseWrtParserInternal::SubDocument

## Detailed Description

the main class to read a MouseWrite file

## Constructor & Destructor Documentation

## ◆ MouseWrtParser()

MouseWrtParser::MouseWrtParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

## ◆ ~MouseWrtParser()

MouseWrtParser::~MouseWrtParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool MouseWrtParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| final virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

## ◆ computeNumPages()

int MouseWrtParser::computeNumPages | ( |  | ) |
| protected

computes the number of page

Referenced by createDocument().

## ◆ createDocument()

void MouseWrtParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createZones()

bool MouseWrtParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

## ◆ newPage()

void MouseWrtParser::newPage | ( | int | number | ) |
| protected

adds a new page

Referenced by sendMainZone().

## ◆ parse()

void MouseWrtParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| final virtual

virtual function used to parse the input

Implements MWAWTextParser.

## ◆ readCharPLCs()

bool MouseWrtParser::readCharPLCs | ( | long | sz | ) |
| protected

reads the char plc zone: zone 0

Referenced by createZones().

## ◆ readDocumentInfo()

bool MouseWrtParser::readDocumentInfo | ( | long | sz | ) |
| protected

reads the document info zone: zone 4

Referenced by createZones().

## ◆ readFont()

bool MouseWrtParser::readFont | ( | MWAWFont & | font,
|  | int & | cPos
| ) |  |
| protected

try to read a font

Referenced by readCharPLCs(), and readDocumentInfo().

## ◆ readParagraphPLCs()

bool MouseWrtParser::readParagraphPLCs | ( | long | sz | ) |
| protected

reads the paragraph plc zone: zone 2

Referenced by createZones().

## ◆ readPrintInfo()

bool MouseWrtParser::readPrintInfo | ( |  | ) |
| protected

reads the print info zone: zone 3

Referenced by createZones().

## ◆ sendMainZone()

bool MouseWrtParser::sendMainZone | ( |  | ) |
| protected

tries to send the main text zone

Referenced by parse().

## ◆ sendZone()

bool MouseWrtParser::sendZone | ( | int | number | ) |
| protected

tries to send the header/footer zone

## Friends And Related Function Documentation

## ◆ MouseWrtParserInternal::SubDocument

friend class MouseWrtParserInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_state

std::shared_ptr<MouseWrtParserInternal::State> MouseWrtParser::m_state
| protected

the state

Referenced by checkHeader(), computeNumPages(), createDocument(), createZones(), newPage(), readCharPLCs(), readDocumentInfo(), readParagraphPLCs(), sendMainZone(), and sendZone().

The documentation for this class was generated from the following files:

- MouseWrtParser.hxx
- MouseWrtParser.cxx